Skip to main content
There are two payload responses for this endpoint based on the details returned:
  • Basic
  • Advance

CAC Basic

Request

[GET]
{{baseUrl}}/api/v1/kyc/cac/basic
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
rc_number *stringRC number (Registration Number) is a unique identification number assigned to a business by the Corporate Affairs Commission (CAC) in Nigeria.required
company_type *stringtype of company, values are BUSINESS_NAME, COMPANY, INCORPORATED_TRUSTEES, LIMITED_PARTNERSHIP, LIMITED_LIABILITY_PARTNERSHIPrequired

Sample response

Response
{
    "entity": {
        "company_name": "JOHN DOE LIMITED",
        "type_of_company": "BUSINESS_NAME",
        "address": "25A James Street Magodo Phase I, Lagos, Nigeria.",
        "status": "Not Active",
        "rc_number": "1234567",
        "business_number": "1234567",
        "email": "ABC@GMAIL.COM",
        "state": "Lagos",
        "city": "Lagos",
        "lga": "Kosofe",
        "business": "7a666454-8ce0-44e2-ac32-3e8cb04b6b72"
    }
}

Response Fields (CAC Basic)

FieldTypeDescription
entityobjectContains the CAC basic lookup response data
entity.company_namestringRegistered name of the company
entity.type_of_companystringType of company registration (e.g., BUSINESS_NAME, COMPANY)
entity.addressstringRegistered address of the company
entity.statusstringCurrent registration status of the company (e.g., Active, Not Active)
entity.rc_numberstringRC number assigned by the Corporate Affairs Commission
entity.business_numberstringBusiness number assigned to the company
entity.emailstringRegistered email address of the company
entity.statestringState where the company is registered
entity.citystringCity where the company is registered
entity.lgastringLocal government area of the company
entity.businessstringUnique business identifier

CAC Advance

This endpoint allows one to resolve premium CAC details using RC number. It returns information on company’s board of directors

Request

[GET]
{{baseUrl}}/api/v1/kyc/cac/advance

Header

HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
rc_number *stringRC number (Registration Number) is a unique identification number assigned to a business by the Corporate Affairs Commission (CAC) in Nigeria.required
company_type *stringtype of company, values are BUSINESS_NAME, COMPANY, INCORPORATED_TRUSTEES, LIMITED_PARTNERSHIP, LIMITED_LIABILITY_PARTNERSHIPrequired

Sample response

[200]
{
    "entity": {
        "company_name": "JOHN DOE LIMITED",
        "rc_number": "1234567",
        "address": "John doe street opposite dunamis church ",
        "state": "Plateau",
        "city": "Jos Town (Capital)",
        "lga": "Jos south",
        "email": "abc@gmail.com",
        "type_of_company": "BUSINESS_NAME",
        "date_of_registration": "2024-07-19T08:00:06.224+00:00",
        "nature_of_business": null,
        "share_capital": null,
        "share_details": {},
        "affiliates": [
            {
                "first_name": "JOHN",
                "last_name": "DOE",
                "email": "abc@gmail.com",
                "address": "John Doe Road",
                "state": "Plateau",
                "city": "Jos North",
                "lga": "Jos",
                "occupation": null,
                "phone_number": "+2348132464910",
                "gender": "MALE",
                "date_of_birth": "1995-08-03T00:00:00.000+00:00",
                "nationality": "Nigeria",
                "affiliate_type": "PROPRIETOR",
                "affiliate_category_type": "individual_proprietor",
                "country": "NIGERIA",
                "id_number": null,
                "id_type": null
            }
        ]
    }
}

Response Fields (CAC Advance)

FieldTypeDescription
entityobjectContains the CAC advance lookup response data
entity.company_namestringRegistered name of the company
entity.rc_numberstringRC number assigned by the Corporate Affairs Commission
entity.addressstringRegistered address of the company
entity.statestringState where the company is registered
entity.citystringCity where the company is registered
entity.lgastringLocal government area of the company
entity.emailstringRegistered email address of the company
entity.type_of_companystringType of company registration (e.g., BUSINESS_NAME, COMPANY)
entity.date_of_registrationstringDate and time the company was registered (ISO 8601 format)
entity.nature_of_businessstring | nullDescription of the company’s business activities
entity.share_capitalstring | nullRegistered share capital of the company
entity.share_detailsobjectDetails of the company’s share structure
entity.affiliatesarrayList of individuals affiliated with the company (directors, proprietors, etc.)
entity.affiliates[].first_namestringFirst name of the affiliate
entity.affiliates[].last_namestringLast name of the affiliate
entity.affiliates[].emailstringEmail address of the affiliate
entity.affiliates[].addressstringResidential address of the affiliate
entity.affiliates[].statestringState of residence of the affiliate
entity.affiliates[].citystringCity of residence of the affiliate
entity.affiliates[].lgastringLocal government area of the affiliate
entity.affiliates[].occupationstring | nullOccupation of the affiliate
entity.affiliates[].phone_numberstringPhone number of the affiliate
entity.affiliates[].genderstringGender of the affiliate
entity.affiliates[].date_of_birthstringDate of birth of the affiliate (ISO 8601 format)
entity.affiliates[].nationalitystringNationality of the affiliate
entity.affiliates[].affiliate_typestringRole of the affiliate in the company (e.g., PROPRIETOR, DIRECTOR)
entity.affiliates[].affiliate_category_typestringCategory classification of the affiliate (e.g., individual_proprietor)
entity.affiliates[].countrystringCountry of the affiliate
entity.affiliates[].id_numberstring | nullIdentification number of the affiliate
entity.affiliates[].id_typestring | nullType of identification document provided

Test Credentials for Sandbox

Kindly use this Test RC Number in sandbox Environment RC Number = 1261103, 14320749